"""alter feedback foreign keys

Revision ID: 5b74a912e6cc
Revises: 815952b51fdc
Create Date: 2021-09-26 20:22:36.705863

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '5b74a912e6cc'
down_revision = '815952b51fdc'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('feedbacks', 'project_id',
               existing_type=sa.INTEGER(),
               nullable=True)
    op.alter_column('feedbacks', 'model_id',
               existing_type=sa.INTEGER(),
               nullable=True)
    op.alter_column('feedbacks', 'dataset_id',
               existing_type=sa.INTEGER(),
               nullable=True)
    op.drop_index('ix_feedbacks_feedback_type', table_name='feedbacks')
    op.create_index(op.f('ix_feedbacks_feedback_type'), 'feedbacks', ['feedback_type'], unique=False)
    op.create_index(op.f('ix_feedbacks_dataset_id'), 'feedbacks', ['dataset_id'], unique=False)
    op.drop_constraint('feedbacks_project_id_fkey', 'feedbacks', type_='foreignkey')
    op.drop_constraint('feedbacks_dataset_id_fkey', 'feedbacks', type_='foreignkey')
    op.drop_constraint('feedbacks_model_id_fkey', 'feedbacks', type_='foreignkey')
    op.create_foreign_key('feedbacks_project_id_fkey', 'feedbacks', 'projects', ['project_id'], ['id'], ondelete='SET NULL')
    op.create_foreign_key('feedbacks_dataset_id_fkey', 'feedbacks', 'datasets', ['dataset_id'], ['id'], ondelete='SET NULL')
    op.create_foreign_key('feedbacks_model_id_fkey', 'feedbacks', 'project_models', ['model_id'], ['id'], ondelete='SET NULL')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('feedbacks_model_id_fkey', 'feedbacks', type_='foreignkey')
    op.drop_constraint('feedbacks_dataset_id_fkey', 'feedbacks', type_='foreignkey')
    op.drop_constraint('feedbacks_project_id_fkey', 'feedbacks', type_='foreignkey')
    op.create_foreign_key('feedbacks_model_id_fkey', 'feedbacks', 'project_models', ['model_id'], ['id'])
    op.create_foreign_key('feedbacks_dataset_id_fkey', 'feedbacks', 'datasets', ['dataset_id'], ['id'])
    op.create_foreign_key('feedbacks_project_id_fkey', 'feedbacks', 'projects', ['project_id'], ['id'])
    op.drop_index(op.f('ix_feedbacks_dataset_id'), table_name='feedbacks')
    op.drop_index(op.f('ix_feedbacks_feedback_type'), table_name='feedbacks')
    op.create_index('ix_feedbacks_feedback_type', 'feedbacks', ['feedback_choice'], unique=False)
    op.alter_column('feedbacks', 'dataset_id',
               existing_type=sa.INTEGER(),
               nullable=False)
    op.alter_column('feedbacks', 'model_id',
               existing_type=sa.INTEGER(),
               nullable=False)
    op.alter_column('feedbacks', 'project_id',
               existing_type=sa.INTEGER(),
               nullable=False)
    # ### end Alembic commands ###
