"""Add table feedbacks

Revision ID: 697868f4495c
Revises: e5888ea6c204
Create Date: 2021-05-12 16:33:15.246779

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '697868f4495c'
down_revision = 'e5888ea6c204'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('feedbacks',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('project_id', sa.Integer(), nullable=False),
    sa.Column('model_id', sa.Integer(), nullable=False),
    sa.Column('dataset_id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.Column('created_on', sa.DateTime(timezone=True), nullable=True),
    sa.Column('feedback_object', sa.String(), nullable=False),
    sa.Column('object_name', sa.String(), nullable=True),
    sa.Column('object_value', sa.String(), nullable=True),
    sa.Column('feedback_type', sa.String(), nullable=True),
    sa.Column('feedback_message', sa.String(), nullable=True),
    sa.Column('input_data', sa.JSON(), nullable=False),
    sa.ForeignKeyConstraint(['dataset_id'], ['datasets.id'], ),
    sa.ForeignKeyConstraint(['model_id'], ['project_models.id'], ),
    sa.ForeignKeyConstraint(['project_id'], ['projects.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_feedbacks_feedback_type'), 'feedbacks', ['feedback_type'], unique=False)
    op.create_index(op.f('ix_feedbacks_id'), 'feedbacks', ['id'], unique=False)
    op.create_index(op.f('ix_feedbacks_model_id'), 'feedbacks', ['model_id'], unique=False)
    op.create_index(op.f('ix_feedbacks_project_id'), 'feedbacks', ['project_id'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_feedbacks_project_id'), table_name='feedbacks')
    op.drop_index(op.f('ix_feedbacks_model_id'), table_name='feedbacks')
    op.drop_index(op.f('ix_feedbacks_id'), table_name='feedbacks')
    op.drop_index(op.f('ix_feedbacks_feedback_type'), table_name='feedbacks')
    op.drop_table('feedbacks')
    # ### end Alembic commands ###
